Skip to main content
POST
/
api
/
v1
/
Payments
/
recurring
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/Payments/recurring \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "externalId": "<string>",
  "amount": {
    "amount": 123,
    "currency": "<string>"
  },
  "installment": 123,
  "card": {
    "holderName": "<string>",
    "number": "<string>",
    "expireMonth": "<string>",
    "expireYear": "<string>",
    "cvv": "<string>"
  },
  "buyer": {
    "id": "<string>",
    "name": "<string>",
    "surname": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "ipAddress": "<string>",
    "identityNumber": "<string>"
  },
  "description": "<string>",
  "frequency": "<string>",
  "interval": 123,
  "totalPaymentCount": 123,
  "startDate": "2023-11-07T05:31:56Z",
  "extraProperties": {}
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "isSuccess": true,
    "message": "<string>",
    "errorCode": "<string>",
    "providerErrorCode": "<string>",
    "extraProperties": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

externalId
string | null
amount
object
installment
integer<int32>
card
object
buyer
object
description
string | null
frequency
string | null
interval
integer<int32>
totalPaymentCount
integer<int32>
startDate
string<date-time> | null
extraProperties
object

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object